Subject: Re: Complete install failure for 'ordinary' install on WinXp using setup.exe
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 22 May 2003 21:29:53 -0400

In a message dated 5/22/2003 7:35:40 PM Eastern Standard Time, [email-masked] writes:
> > I have some kind of catastrophic install failure using
> > current setup.exe (2.340.2.5) on Windows XP for what would
> > seem to me to be an ordinary install.
> > 
> > I have installed cygwin previously (but not within 6 months
> > or so), so I deleted my old cygwin install first.
> 
> Please explain exactly what you did here.

In all honesty, it was an old install, and I'm not even sure
how old, and I probably have messed with (read "broken it") it
a good deal.  I couldn't find the old setup program or some
other obvious uninstall means, so I just deleted all of
c:\cygwin

> > I downloaded the current setup.exe from the webpage a few
> > days ago, and began downloading the full cygwin distribution
> > using the 'Download from Internet' option, selecting the
> > 'All' option instead of 'Default,' from the mirror
> > ftp://mirror.averse.net (the first one I found that worked).
> > 
> > After several download sessions (I interrupted the download
> > a few times in between), I re-ran setup.exe with 'Install from
> > Local Directory,' again with the 'All' option on the base
> > catagory.
> > 
> > Everything went fine, and all md5sums checked out, until
> > postinstall.  All of these console windows flashed by,
> > and it seemed every one of them I could read had all sorts
> > of errors, such as missing ls, rm, etc.  Testing the Cygwin
> > installation afterwards, it seemed to be unusable and
> > pretty much completely broken.
> > 
> > The setup program itself had reported no errors, other than
> > whatever I saw in the postinstall console windows.
> > 
> > C:\cygwin\var\log\setup.log seems ordinary enough: no
> > errors are reported.
> > 
> > However, one odd thing I notice by examining the installation
> > is that I can't find ls.exe or rm.exe.  They are not
> > in c:\bin, and no c:\usr\bin exists.
> 
> Should they be?  Setup will certainly warn you if you tell it
> to install in C:\.  If you got no such warning, more than likely
> you actually installed in a subdirectory of C:\.

That was a typo.  I had intended to write "c:\cygwin\bin"
and "c:\cygwin\usr\bin".  The latter of these directories does
not exist on my computer after install, but I'm pretty sure it
should.

> > I have no idea where to begin on this.  Can someone
> > help me out?
> 
> I suspect mount problems but I really can't be very sure of
> anything without the appropriate information.  See
> <http://cygwin.com/problems.html>

Pardon me for providing incomplete information.  Somehow I
missed finding the problems.html page on my own.  This is the
complete output of "./cygcheck -s -v -r" run in the initial
wd:

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Thu May 22 19:52:05 2003

Windows XP Professional Ver 5.1 Build 2600 Service Pack 1

Path:   c:\WINDOWS\system32
    c:\WINDOWS
    c:\WINDOWS\System32\Wbem
    c:\Program Files\doxygen\bin
    c:\PROGRA~1\ATT\Graphviz\bin
    c:\PROGRA~1\ATT\Graphviz\bin\tools
    c:\Program Files\Microsoft SDK\Bin\
    c:\Program Files\Microsoft SDK\Bin\WinNT\
    c:\Program Files\Microsoft SDK\Bin\
    c:\Program Files\Microsoft SDK\Bin\WinNT\

C:\cygwin\bin\id.exe output (nontsec)
UID: 1003(Aaron                       GID: aFramboise) gid=513(None) groups=513(None)
oise) gid=513(None) groups=513(None)

C:\cygwin\bin\id.exe output (ntsec)
UID: 1003(Aaron                       GID: aFramboise) gid=513(None) groups=513(None)
oise) gid=513(None) groups=513(None)  
544(Administrators)                   545(Users)

SysDir: C:\WINDOWS\System32
WinDir: C:\WINDOWS

HOME = `C:\cygwin\home\Aaron W. LaFramboise'
PWD = `/usr/bin'

ALLUSERSPROFILE = `C:\Documents and Settings\All Users'
APPDATA = `C:\Documents and Settings\Aaron W. LaFramboise\Application Data'
BASEMAKE = `C:\Program Files\Microsoft SDK\Include\BKOffice.Mak'
BKOFFICE = `C:\Program Files\Microsoft SDK\.'
CLASSPATH = `"C:\Program Files\Java\j2re1.4.0\QTJava.zip"'
CLIENTNAME = `Console'
COMMONPROGRAMFILES = `C:\Program Files\Common Files'
COMPUTERNAME = `AARONWL'
COMSPEC = `C:\WINDOWS\system32\cmd.exe'
HOMEDRIVE = `C:'
HOMEPATH = `\Documents and Settings\Aaron W. LaFramboise'
INCLUDE = `C:\Program Files\Microsoft SDK\Include\.'
INETSDK = `C:\Program Files\Microsoft SDK\.'
LIB = `C:\Program Files\Microsoft SDK\Lib\.'
LOGONSERVER = `\\AARONWL'
MSSDK = `C:\Program Files\Microsoft SDK\.'
MSTOOLS = `C:\Program Files\Microsoft SDK\.'
NUMBER_OF_PROCESSORS = `1'
OS = `Windows_NT'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 15 Model 0 Stepping 7, GenuineIntel'
PROCESSOR_LEVEL = `15'
PROCESSOR_REVISION = `0007'
PROGRAMFILES = `C:\Program Files'
PROMPT = `$P$G'
QTJAVA = `"C:\Program Files\Java\j2re1.4.0\QTJava.zip"'
SESSIONNAME = `Console'
SHLVL = `1'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINDOWS'
TEMP = `c:\DOCUME~1\AARONW~1.LAF\LOCALS~1\Temp'
TERM = `cygwin'
TMP = `c:\DOCUME~1\AARONW~1.LAF\LOCALS~1\Temp'
USERDOMAIN = `AARONWL'
USERNAME = `Aaron W. LaFramboise'
USERPROFILE = `C:\Documents and Settings\Aaron W. LaFramboise'
WINDIR = `C:\WINDOWS'
_ = `./cygcheck'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_CURRENT_USER\Software\Microsoft\RAS Autodial\Addresses\www.cygnus.com
  (default) = 0x00000025
  LastModified = 0x3e1ddce3
  Network = `NETWORK0'
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\P3P\History\cygnuspub.com
  (default) = 0x00000005
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:\cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:\cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:\cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/X11R6/lib/X11/fonts
  (default) = `C:\cygwin\usr\X11R6\lib\X11\fonts'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A                    
c:  hd  NTFS   41888Mb  58% CP CS UN PA FC     
d:  cd           N/A    N/A                    
e:  cd  CDFS       0Mb -2147483548%    CS              Audio CD

.                                  /cygdrive                 user    binmode,cygdrive
C:\cygwin                          /                         system  binmode
C:\cygwin/bin                      /usr/bin                  system  binmode
C:\cygwin/lib                      /usr/lib                  system  binmode
C:\cygwin\usr\X11R6\lib\X11\fonts  /usr/X11R6/lib/X11/fonts  system  binmode
.                                  /cygdrive                 system  binmode,cygdrive

Found: .\awk.exe
Found: .\bash.exe
Not Found: cat
Not Found: cp
Found: .\cpp.exe
Not Found: find
Found: .\gcc.exe
Found: .\gdb.exe
Not Found: grep
Found: .\ld.exe
Not Found: ls
Not Found: make
Not Found: mv
Not Found: rm
Found: .\sed.exe
Found: .\sh.exe
Found: .\tar.exe

    6k 2002/06/24 .\cygcharset-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygcharset-1.dll" v0.0 ts=2002/6/24 13:23
  848k 2003/04/11 .\cygcrypto-0.9.7.dll - os=4.0 img=1.0 sys=4.0
                  "cygcrypto-0.9.7.dll" v0.0 ts=2003/4/11 5:33
  645k 2003/04/11 .\cygcrypto.dll - os=4.0 img=1.0 sys=4.0
                  "cygcrypto.dll" v0.0 ts=2003/4/11 5:37
  551k 2003/04/02 .\cygcurl-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygcurl-2.dll" v0.0 ts=2003/4/2 15:09
  380k 2002/07/24 .\cygdb-3.1.dll - os=4.0 img=1.0 sys=4.0
                  "cygdb-3.1.dll" v0.0 ts=2002/7/24 11:24
  326k 2002/06/26 .\cygdb2.dll - os=4.0 img=1.0 sys=4.0
                  "cygdb2.dll" v0.0 ts=2002/6/26 12:48
  487k 2002/07/24 .\cygdb_cxx-3.1.dll - os=4.0 img=1.0 sys=4.0
                  "cygdb_cxx-3.1.dll" v0.0 ts=2002/7/24 11:25
  136k 2002/10/17 .\cygexpat-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygexpat-0.dll" v0.0 ts=2002/10/17 10:21
   76k 2003/03/09 .\cygform7.dll - os=4.0 img=1.0 sys=4.0
                  "cygform7.dll" v0.0 ts=2003/3/9 14:51
   19k 2003/03/22 .\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2002/2/19 21:05
  490k 2002/09/21 .\cygguile-12.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-12.dll" v0.0 ts=2002/9/21 5:01
  488k 2002/07/18 .\cygguile-14.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-14.dll" v0.0 ts=2002/7/18 5:35
   63k 2002/07/18 .\cygguile-srfi-srfi-13-14-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-13-14-1.dll" v0.0 ts=2002/7/18 5:35
   63k 2002/09/21 .\cygguile-srfi-srfi-13-14-v-1-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-13-14-v-1-1.dll" v0.0 ts=2002/9/21 5:01
   24k 2002/07/18 .\cygguile-srfi-srfi-4-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-4-1.dll" v0.0 ts=2002/7/18 5:35
   24k 2002/09/21 .\cygguile-srfi-srfi-4-v-1-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-4-v-1-1.dll" v0.0 ts=2002/9/21 5:01
   14k 2002/07/18 .\cygguilereadline-14.dll - os=4.0 img=1.0 sys=4.0
                  "cygguilereadline-14.dll" v0.0 ts=2002/7/18 5:35
   14k 2002/09/21 .\cygguilereadline-v-12-12.dll - os=4.0 img=1.0 sys=4.0
                  "cygguilereadline-v-12-12.dll" v0.0 ts=2002/9/21 5:01
   20k 2002/10/10 .\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory5.dll" v0.0 ts=2002/10/10 12:28
  929k 2002/06/24 .\cygiconv-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygiconv-2.dll" v0.0 ts=2002/6/24 13:24
   28k 2002/09/20 .\cygintl-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-2.dll" v0.0 ts=2002/9/19 22:13
   12k 2003/02/17 .\cygioperm-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygioperm-0.dll" v0.0 ts=2003/2/17 13:58
   47k 2003/03/09 .\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
                  "cygjbig1.dll" v0.0 ts=2003/3/9 15:30
   61k 2003/03/05 .\cygkpathsea-3.dll - os=4.0 img=1.0 sys=4.0
                  "cygkpathsea-3.dll" v0.0 ts=2003/3/5 14:09
   32k 2003/04/16 .\cygltdl-3.dll - os=4.0 img=1.0 sys=4.0
                  "cygltdl-3.dll" v0.0 ts=2003/4/15 20:41
   48k 2003/03/09 .\cygmenu7.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu7.dll" v0.0 ts=2003/3/9 14:51
  284k 2003/03/09 .\cygncurses7.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses7.dll" v0.0 ts=2003/3/9 14:50
   31k 2003/03/09 .\cygpanel7.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel7.dll" v0.0 ts=2003/3/9 14:50
   63k 2003/04/11 .\cygpcre.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcre.dll" v0.0 ts=2003/4/11 3:31
   61k 2003/04/11 .\cygpcreposix.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcreposix.dll" v0.0 ts=2003/4/11 3:31
 1005k 2003/03/30 .\cygperl5_8_0.dll - os=4.0 img=1.0 sys=4.0
                  "cygperl5_8_0.dll" v0.0 ts=2003/3/30 9:39
  168k 2003/02/23 .\cygpng10.dll - os=4.0 img=1.0 sys=4.0
                  "cygpng10.dll" v0.0 ts=2003/2/23 17:02
  173k 2003/02/23 .\cygpng12.dll - os=4.0 img=1.0 sys=4.0
                  "cygpng12.dll" v0.0 ts=2003/2/23 16:02
   22k 2002/06/09 .\cygpopt-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygpopt-0.dll" v0.0 ts=2002/6/9 0:45
  127k 2002/10/10 .\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline5.dll" v0.0 ts=2002/10/10 12:28
  176k 2003/04/11 .\cygssl-0.9.7.dll - os=4.0 img=1.0 sys=4.0
                  "cygssl-0.9.7.dll" v0.0 ts=2003/4/11 5:33
  165k 2003/04/11 .\cygssl.dll - os=4.0 img=1.0 sys=4.0
                  "cygssl.dll" v0.0 ts=2003/4/11 5:37
  281k 2003/02/24 .\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
                  "cygtiff3.dll" v0.0 ts=2003/2/23 22:58
   25k 2002/07/14 .\cygungif-4.dll - os=4.0 img=1.0 sys=4.0
                  "cygungif-4.dll" v0.0 ts=2002/7/14 9:58
  601k 2003/05/19 .\cygwin-ruby16.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin-ruby16.dll" v0.0 ts=2003/5/19 6:27
 2689k 2002/11/16 .\cygxerces-c21.dll - os=4.0 img=1.0 sys=4.0
                  "cygxerces-c21.dll" v0.0 ts=2002/11/15 22:07
 2984k 2003/02/07 .\cygxerces-c22.dll - os=4.0 img=1.0 sys=4.0
                  "cygxerces-c22.dll" v0.0 ts=2003/2/7 12:50
  633k 2002/07/22 .\cygxml2-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygxml2-2.dll" v0.0 ts=2002/7/22 1:29
  948k 2003/03/18 .\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2003/3/18 8:20
    Cygwin DLL version info:
        DLL version: 1.3.22
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 78
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Tue Mar 18 09:20:11 EST 2003
        CVS tag: dontuse-21
        Shared id: cygwin1S3

    6k 2002/06/24 .\cygcharset-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygcharset-1.dll" v0.0 ts=2002/6/24 13:23
  848k 2003/04/11 .\cygcrypto-0.9.7.dll - os=4.0 img=1.0 sys=4.0
                  "cygcrypto-0.9.7.dll" v0.0 ts=2003/4/11 5:33
  645k 2003/04/11 .\cygcrypto.dll - os=4.0 img=1.0 sys=4.0
                  "cygcrypto.dll" v0.0 ts=2003/4/11 5:37
  551k 2003/04/02 .\cygcurl-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygcurl-2.dll" v0.0 ts=2003/4/2 15:09
  380k 2002/07/24 .\cygdb-3.1.dll - os=4.0 img=1.0 sys=4.0
                  "cygdb-3.1.dll" v0.0 ts=2002/7/24 11:24
  326k 2002/06/26 .\cygdb2.dll - os=4.0 img=1.0 sys=4.0
                  "cygdb2.dll" v0.0 ts=2002/6/26 12:48
  487k 2002/07/24 .\cygdb_cxx-3.1.dll - os=4.0 img=1.0 sys=4.0
                  "cygdb_cxx-3.1.dll" v0.0 ts=2002/7/24 11:25
  136k 2002/10/17 .\cygexpat-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygexpat-0.dll" v0.0 ts=2002/10/17 10:21
   76k 2003/03/09 .\cygform7.dll - os=4.0 img=1.0 sys=4.0
                  "cygform7.dll" v0.0 ts=2003/3/9 14:51
   19k 2003/03/22 .\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2002/2/19 21:05
  490k 2002/09/21 .\cygguile-12.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-12.dll" v0.0 ts=2002/9/21 5:01
  488k 2002/07/18 .\cygguile-14.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-14.dll" v0.0 ts=2002/7/18 5:35
   63k 2002/07/18 .\cygguile-srfi-srfi-13-14-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-13-14-1.dll" v0.0 ts=2002/7/18 5:35
   63k 2002/09/21 .\cygguile-srfi-srfi-13-14-v-1-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-13-14-v-1-1.dll" v0.0 ts=2002/9/21 5:01
   24k 2002/07/18 .\cygguile-srfi-srfi-4-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-4-1.dll" v0.0 ts=2002/7/18 5:35
   24k 2002/09/21 .\cygguile-srfi-srfi-4-v-1-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygguile-srfi-srfi-4-v-1-1.dll" v0.0 ts=2002/9/21 5:01
   14k 2002/07/18 .\cygguilereadline-14.dll - os=4.0 img=1.0 sys=4.0
                  "cygguilereadline-14.dll" v0.0 ts=2002/7/18 5:35
   14k 2002/09/21 .\cygguilereadline-v-12-12.dll - os=4.0 img=1.0 sys=4.0
                  "cygguilereadline-v-12-12.dll" v0.0 ts=2002/9/21 5:01
   20k 2002/10/10 .\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory5.dll" v0.0 ts=2002/10/10 12:28
  929k 2002/06/24 .\cygiconv-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygiconv-2.dll" v0.0 ts=2002/6/24 13:24
   28k 2002/09/20 .\cygintl-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-2.dll" v0.0 ts=2002/9/19 22:13
   12k 2003/02/17 .\cygioperm-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygioperm-0.dll" v0.0 ts=2003/2/17 13:58
   47k 2003/03/09 .\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
                  "cygjbig1.dll" v0.0 ts=2003/3/9 15:30
   61k 2003/03/05 .\cygkpathsea-3.dll - os=4.0 img=1.0 sys=4.0
                  "cygkpathsea-3.dll" v0.0 ts=2003/3/5 14:09
   32k 2003/04/16 .\cygltdl-3.dll - os=4.0 img=1.0 sys=4.0
                  "cygltdl-3.dll" v0.0 ts=2003/4/15 20:41
   48k 2003/03/09 .\cygmenu7.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu7.dll" v0.0 ts=2003/3/9 14:51
  284k 2003/03/09 .\cygncurses7.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses7.dll" v0.0 ts=2003/3/9 14:50
   31k 2003/03/09 .\cygpanel7.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel7.dll" v0.0 ts=2003/3/9 14:50
   63k 2003/04/11 .\cygpcre.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcre.dll" v0.0 ts=2003/4/11 3:31
   61k 2003/04/11 .\cygpcreposix.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcreposix.dll" v0.0 ts=2003/4/11 3:31
 1005k 2003/03/30 .\cygperl5_8_0.dll - os=4.0 img=1.0 sys=4.0
                  "cygperl5_8_0.dll" v0.0 ts=2003/3/30 9:39
  168k 2003/02/23 .\cygpng10.dll - os=4.0 img=1.0 sys=4.0
                  "cygpng10.dll" v0.0 ts=2003/2/23 17:02
  173k 2003/02/23 .\cygpng12.dll - os=4.0 img=1.0 sys=4.0
                  "cygpng12.dll" v0.0 ts=2003/2/23 16:02
   22k 2002/06/09 .\cygpopt-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygpopt-0.dll" v0.0 ts=2002/6/9 0:45
  127k 2002/10/10 .\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline5.dll" v0.0 ts=2002/10/10 12:28
  176k 2003/04/11 .\cygssl-0.9.7.dll - os=4.0 img=1.0 sys=4.0
                  "cygssl-0.9.7.dll" v0.0 ts=2003/4/11 5:33
  165k 2003/04/11 .\cygssl.dll - os=4.0 img=1.0 sys=4.0
                  "cygssl.dll" v0.0 ts=2003/4/11 5:37
  281k 2003/02/24 .\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
                  "cygtiff3.dll" v0.0 ts=2003/2/23 22:58
   25k 2002/07/14 .\cygungif-4.dll - os=4.0 img=1.0 sys=4.0
                  "cygungif-4.dll" v0.0 ts=2002/7/14 9:58
  601k 2003/05/19 .\cygwin-ruby16.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin-ruby16.dll" v0.0 ts=2003/5/19 6:27
 2689k 2002/11/16 .\cygxerces-c21.dll - os=4.0 img=1.0 sys=4.0
                  "cygxerces-c21.dll" v0.0 ts=2002/11/15 22:07
 2984k 2003/02/07 .\cygxerces-c22.dll - os=4.0 img=1.0 sys=4.0
                  "cygxerces-c22.dll" v0.0 ts=2003/2/7 12:50
  633k 2002/07/22 .\cygxml2-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygxml2-2.dll" v0.0 ts=2002/7/22 1:29
  948k 2003/03/18 .\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2003/3/18 8:20
    Cygwin DLL version info:
        DLL version: 1.3.22
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 78
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Tue Mar 18 09:20:11 EST 2003
        CVS tag: dontuse-21
        Shared id: cygwin1S3

Cygwin Package Information
Last downloaded files to: 
Last downloaded files from: 

Package                 Version
_update-info-dir        00164-1
a2ps                    4.12-1
agetty                  2.1-1
ash                     20020731-1
astyle                  1.15.3-3
autoconf                2.54-1
autoconf-devel          2.57-1
automake                1.7.1-1
automake-devel          1.7.3-1
base-files              1.3-1
base-passwd             1.1-1
bash                    2.05b-9
binutils                20030307-1
bison                   20030307-1
chkconfig               1.2.24h-1
cmake                   1.6.6-1
cpio                    2.5-1
cron                    3.0.1-9
ctags                   5.5-3
curl                    7.10.4-1
curl-devel              7.10.4-1
cygrunsrv               0.96-1
cygutils                1.1.3-1
cygwin                  1.3.22-1
cygwin-doc              1.3-4
db2                     2.7.7-4
db3.1                   3.1.17-2
dejagnu                 20021217-2
doxygen                 1.2.18-1
dpkg                    1.10.4-2
ELFIO                   1.0.0-1
emacs                   21.2-12
emacs-el                21.2-12
emacs-X11               21.2-12
enscript                1.6.3-3
exim                    4.20-1
expat                   1.95.5-1
expect                  20030128-1
fetchmail               6.2.2-1
file                    4.02-1
gawk                    3.1.2-2
gcc                     3.2-3
gcc-mingw               20020817-5
gcc2                    2.95.3-10
gdb                     20030303-1
gdbm                    1.8.0-5
gettext                 0.11.5-1
gettext-devel           0.11.5-1
ghostscript             7.05-2
ghostscript-base        7.05-2
ghostscript-x11         7.05-2
gnupg                   1.2.1-1
gperf                   2.7.2-1
grace                   5.1.12-1
groff                   1.18.1-2
gsl                     1.3-1
guile                   1.6.0-1
guile-devel             1.6.0-1
guile-doc               1.6.0-1
gzip                    1.3.3-4
inetutils               1.3.2-22
initscripts             0.9-1
ioperm                  0.4-1
jbigkit                 1.4-1
keychain                1.9-1
less                    378-1
lesstif                 0.93.41-1
libcharset1             1.8-2
libdb2                  2.7.7-4
libdb2-devel            2.7.7-4
libdb3.1                3.1.17-2
libdb3.1-devel          3.1.17-2
libgdbm                 1.8.0-5
libgdbm-devel           1.8.0-5
libguile12              1.6.0-1
libguile14              1.5.6-5
libiconv                1.8-2
libiconv2               1.8-2
libintl2                0.11.5-1
libkpathsea3            2.0.2-1
libltdl3                1.5-1
libncurses-devel        5.3-1
libncurses7             5.3-1
libpng                  1.2.5-1
libpng10                1.0.15-1
libpng10-devel          1.0.15-1
libpng12                1.2.5-1
libpng12-devel          1.2.5-1
libpopt0                1.6.4-4
libreadline5            4.3-2
libtool                 20020705-1
libtool-devel           1.5-1
libtool-stable          1.4.3-1
libungif                4.1.0-2
libxerces-c21           2.1.0-1
libxerces-c22           2.2.0-1
libxml2                 2.4.23-1
lilypond                1.6.8-2
lilypond-doc            1.6.8-2
login                   1.8-1
lynx                    2.8.4-5
m4                      1.4-1
man                     1.5j-2
mc                      4.6.0-2
mingw-runtime           3.0-1
mod_php4                4.2.0-2
mutt                    1.4-1
nano                    1.2.0-1
nasm                    0.98.36-1
ncftp                   3.1.4-1
ncurses                 5.3-1
ncurses-demo            5.3-1
netcat                  1.10-1
newlib-man              20020801
openssh                 3.6.1p1-1
openssl                 0.9.7b-1
openssl-devel           0.9.7b-1
openssl096              0.9.6j-1
par                     1.52-1
patch                   2.5.8-3
pcre                    4.1-1
pdksh                   5.2.14-2
perl                    5.8.0-2
perl_manpages           5.8.0-2
pine                    4.55-1
pinfo                   0.6.6p1-1
pkgconfig               0.15.0-1
popt                    1.6.4-4
postgresql              7.3.2-2
procmail                3.22-7
procps                  010801-2
python                  2.2.2-7
readline                4.3-2
rebase                  2.2-2
rpm                     4.1-1
rpm-build               4.1-1
rpm-doc                 4.1-1
rsync                   2.5.6-1
ruby                    1.6.8-2
rxvt                    2.7.10-3
sed                     4.0.7-1
sh-utils                2.0.15-3
splint                  3.1.1-1
squid                   2.4.STABLE7-1
sunrpc                  4.0-1
swig                    1.3.19-1
sysvinit                2.84-3
tar                     1.13.25-1
tcltk                   20030214-1
tcp_wrappers            7.6-1
tcsh                    6.12.00-5
termcap                 20020930-1
terminfo                5.3-2
tetex                   2.0.2-1
tetex-base              2.0.2-1
tetex-bin               2.0.2-1
tetex-devel             2.0.2-1
tetex-doc               2.0.2-1
tetex-extra             2.0.2-1
tetex-tiny              2.0.2-1
tetex-x11               2.0.2-1
texinfo                 4.2-4
texmf                   20020911-1
texmf-base              20020911-1
texmf-doc               20020911-1
texmf-extra             20020911-1
texmf-tiny              20020911-1
tidy                    030201-1
tiff                    3.6.0-1
tin                     1.4.7-1
unzip                   5.50-2
upx                     1.24-1
uw-imap                 2002c1-1
uw-imap-imapd           2002c1-1
uw-imap-util            2002c1-1
vim                     6.1.300-1
w32api                  2.3-1
wget                    1.8.2-2
whois                   4.6.2-1
x2x                     1.27-2
Xaw3d                   1.5-1
xerces-c                2.2.0-1
xerces-c-devel          2.2.0-1
xerces-c-doc            2.2.0-1
XFree86-bin             4.2.0-3
XFree86-lib             4.2.0-5
XFree86-startup-scripts 4.2.0-4
XFree86-xserv           4.2.0-37
XFree86-xwinclip        4.2.0-8
xinetd                  2.3.9-1
zsh                     4.0.6-5

Use -h to see help about each section

Aaron

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/